---------------------
PatchSet 179 
Date: 2000/04/23 09:55:37
Author: hno
Branch: hno-devel
Tag: (none) 
Log:
Added --disable-unlinkd configure option

Members: 
	acconfig.h:1.1.1.3.6.5->1.1.1.3.6.5.2.1 
	configure.in:1.1.1.3.6.7.2.1->1.1.1.3.6.7.2.2 
	src/Makefile.in:1.1.1.3.10.7->1.1.1.3.10.7.2.1 
	src/cache_cf.c:1.1.1.3.10.4.2.1->1.1.1.3.10.4.2.2 
	src/cf.data.pre:1.1.1.3.10.6->1.1.1.3.10.6.2.1 
	src/main.c:1.1.1.3.10.3->1.1.1.3.10.3.2.1 
	src/structs.h:1.1.1.3.10.8.2.2->1.1.1.3.10.8.2.3 

Index: squid/acconfig.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/Attic/acconfig.h,v
retrieving revision 1.1.1.3.6.5
retrieving revision 1.1.1.3.6.5.2.1
diff -u -r1.1.1.3.6.5 -r1.1.1.3.6.5.2.1
--- squid/acconfig.h	20 Apr 2000 18:14:20 -0000	1.1.1.3.6.5
+++ squid/acconfig.h	23 Apr 2000 09:55:37 -0000	1.1.1.3.6.5.2.1
@@ -20,7 +20,7 @@
  *
  */
 @ TOP @
-/* $Id: acconfig.h,v 1.1.1.3.6.5 2000/04/20 18:14:20 hno Exp $ */
+/* $Id: acconfig.h,v 1.1.1.3.6.5.2.1 2000/04/23 09:55:37 hno Exp $ */
 
 /*********************************
  * START OF CONFIGURABLE OPTIONS *
@@ -272,6 +272,12 @@
  */
 #undef USE_DISKD
 
+/*
+ * Define this if unlinkd is required
+ * (strongly recommended for ufs storage type)
+ */
+#undef USE_UNLINKD
+
 /* Define if you want to set the COSS membuf size */
 #undef COSS_MEMBUF_SZ
 
Index: squid/configure.in
===================================================================
RCS file: /cvsroot/squid-sf//squid/configure.in,v
retrieving revision 1.1.1.3.6.7.2.1
retrieving revision 1.1.1.3.6.7.2.2
diff -u -r1.1.1.3.6.7.2.1 -r1.1.1.3.6.7.2.2
--- squid/configure.in	22 Apr 2000 20:02:54 -0000	1.1.1.3.6.7.2.1
+++ squid/configure.in	23 Apr 2000 09:55:37 -0000	1.1.1.3.6.7.2.2
@@ -3,13 +3,13 @@
 dnl
 dnl  Duane Wessels, wessels@nlanr.net, February 1996 (autoconf v2.9)
 dnl
-dnl  $Id: configure.in,v 1.1.1.3.6.7.2.1 2000/04/22 20:02:54 hno Exp $
+dnl  $Id: configure.in,v 1.1.1.3.6.7.2.2 2000/04/23 09:55:37 hno Exp $
 dnl
 dnl
 dnl
 AC_INIT(src/main.c)
 AC_CONFIG_HEADER(include/autoconf.h)
-AC_REVISION($Revision: 1.1.1.3.6.7.2.1 $)dnl
+AC_REVISION($Revision: 1.1.1.3.6.7.2.2 $)dnl
 AC_PREFIX_DEFAULT(/usr/local/squid)
 AC_CONFIG_AUX_DIR(cfgaux)
 
@@ -530,8 +530,7 @@
 
 dnl Enable Leak Finding Functions
 AC_ARG_ENABLE(leakfinder,
-[  --enable-leakfinder
-                          Enable Leak Finding code.  Enabling this alone
+[  --enable-leakfinder     Enable Leak Finding code.  Enabling this alone
                           does nothing; you also have to modify the source
 			  code to use the leak finding functions.  Probably
 			  Useful for hackers only.],
@@ -546,8 +545,7 @@
 
 dnl Disable HTTP violations
 AC_ARG_ENABLE(ident-lookups,
-[  --disable-ident-lookups
-                          This allows you to remove code that performs
+[  --disable-ident-lookups This allows you to remove code that performs
                           Ident (RFC 931) lookups.],
 [ if test "$enableval" = "no" ; then
     echo "Disabling Ident Lookups"
@@ -636,11 +634,9 @@
 
 dnl With ATHY_COMPRESSION
 AC_ARG_WITH(athy-compression,
-[  --with-athy-compression
-                          This option makes use of a AppliedTheory compression/
+[  --with-athy-compression This option makes use of a AppliedTheory compression/
 			  decompression library to handle compressed transfer
-			  encodings.
-                          ],
+			  encodings.],
 [ if test "$enableval" = "yes" ; then
     echo "Enabling ATHY_COMPRESSION"
     AC_DEFINE(ATHY_COMPRESSION, 1)
@@ -661,6 +657,32 @@
   fi
 ])
 
+dnl Disable "unlinkd" cde
+AC_ARG_ENABLE(unlinkd,
+[  --disable-unlinkd       Do not use unlinkd],
+[ if test "$enableval" = "no" ; then
+    USE_UNLINKD=0
+  else
+    USE_UNLINKD=1
+  fi
+],[
+    # Here we should probably use some magic depending on the selected
+    # storage models
+    USE_UNLINKD=1
+])
+if test $USE_UNLINKD; then
+    echo "unlinkd enabled"
+    AC_DEFINE(USE_UNLINKD)
+    OPT_UNLINKD_EXE='$(OPT_UNLINKD_EXE)'
+    UNLINKD_OBJS='unlinkd.o'
+else
+    echo "unlinkd disabled"
+    OPT_UNLINKD_EXE=''
+    UNLINKD_OBJS=''
+fi
+AC_SUBST(OPT_UNLINKD_EXE)
+AC_SUBST(UNLINKD_OBJS)
+
 # Force some compilers to use ANSI features
 #
 case "$host" in
Index: squid/src/Makefile.in
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/Attic/Makefile.in,v
retrieving revision 1.1.1.3.10.7
retrieving revision 1.1.1.3.10.7.2.1
diff -u -r1.1.1.3.10.7 -r1.1.1.3.10.7.2.1
--- squid/src/Makefile.in	21 Apr 2000 16:15:54 -0000	1.1.1.3.10.7
+++ squid/src/Makefile.in	23 Apr 2000 09:55:37 -0000	1.1.1.3.10.7.2.1
@@ -1,7 +1,7 @@
 #
 #  Makefile for the Squid Object Cache server
 #
-#  $Id: Makefile.in,v 1.1.1.3.10.7 2000/04/21 16:15:54 hno Exp $
+#  $Id: Makefile.in,v 1.1.1.3.10.7.2.1 2000/04/23 09:55:37 hno Exp $
 #
 #  Uncomment and customize the following to suit your needs:
 #
@@ -23,7 +23,8 @@
 SQUID_EXE	= squid$(exec_suffix)
 CLIENT_EXE	= client$(exec_suffix)
 DNSSERVER_EXE	= dnsserver$(exec_suffix)
-UNLINKD_EXE	= unlinkd$(exec_suffix)
+OPT_UNLINKD_EXE	= unlinkd$(exec_suffix)
+UNLINKD_EXE	= @OPT_UNLINKD_EXE@
 PINGER_EXE	= pinger$(exec_suffix)
 CACHEMGR_EXE	= cachemgr$(cgi_suffix)
 OPT_DISKD_EXE	= diskd$(exec_suffix)
@@ -172,7 +173,7 @@
 		store_heap_replacement.o \
 		string_arrays.o \
 		tools.o \
-		unlinkd.o \
+		@UNLINKD_OBJS@ \
 		url.o \
 		urn.o \
 		useragent.o \
Index: squid/src/cache_cf.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/cache_cf.c,v
retrieving revision 1.1.1.3.10.4.2.1
retrieving revision 1.1.1.3.10.4.2.2
diff -u -r1.1.1.3.10.4.2.1 -r1.1.1.3.10.4.2.2
--- squid/src/cache_cf.c	23 Apr 2000 08:32:28 -0000	1.1.1.3.10.4.2.1
+++ squid/src/cache_cf.c	23 Apr 2000 09:55:37 -0000	1.1.1.3.10.4.2.2
@@ -1,6 +1,6 @@
 
 /*
- * $Id: cache_cf.c,v 1.1.1.3.10.4.2.1 2000/04/23 08:32:28 hno Exp $
+ * $Id: cache_cf.c,v 1.1.1.3.10.4.2.2 2000/04/23 09:55:37 hno Exp $
  *
  * DEBUG: section 3     Configuration File Parsing
  * AUTHOR: Harvest Derived
@@ -360,7 +360,9 @@
 #if USE_DNSSERVERS
     requirePathnameExists("cache_dns_program", Config.Program.dnsserver);
 #endif
+#if USE_UNLINKD
     requirePathnameExists("unlinkd_program", Config.Program.unlinkd);
+#endif
     if (Config.Program.redirect)
 	requirePathnameExists("redirect_program", Config.Program.redirect->key);
     if (Config.Program.authenticate)
Index: squid/src/cf.data.pre
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/cf.data.pre,v
retrieving revision 1.1.1.3.10.6
retrieving revision 1.1.1.3.10.6.2.1
diff -u -r1.1.1.3.10.6 -r1.1.1.3.10.6.2.1
--- squid/src/cf.data.pre	22 Apr 2000 09:18:51 -0000	1.1.1.3.10.6
+++ squid/src/cf.data.pre	23 Apr 2000 09:55:37 -0000	1.1.1.3.10.6.2.1
@@ -1,6 +1,6 @@
 
 #
-# $Id: cf.data.pre,v 1.1.1.3.10.6 2000/04/22 09:18:51 hno Exp $
+# $Id: cf.data.pre,v 1.1.1.3.10.6.2.1 2000/04/23 09:55:37 hno Exp $
 #
 #
 # SQUID Internet Object Cache  http://squid.nlanr.net/Squid/
@@ -902,6 +902,7 @@
 
 
 NAME: unlinkd_program
+IFDEF: USE_UNLINKD
 TYPE: string
 DEFAULT: @DEFAULT_UNLINKD@
 LOC: Config.Program.unlinkd
Index: squid/src/main.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/main.c,v
retrieving revision 1.1.1.3.10.3
retrieving revision 1.1.1.3.10.3.2.1
diff -u -r1.1.1.3.10.3 -r1.1.1.3.10.3.2.1
--- squid/src/main.c	20 Apr 2000 18:14:22 -0000	1.1.1.3.10.3
+++ squid/src/main.c	23 Apr 2000 09:55:37 -0000	1.1.1.3.10.3.2.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: main.c,v 1.1.1.3.10.3 2000/04/20 18:14:22 hno Exp $
+ * $Id: main.c,v 1.1.1.3.10.3.2.1 2000/04/23 09:55:37 hno Exp $
  *
  * DEBUG: section 1     Startup and Main Loop
  * AUTHOR: Harvest Derived
@@ -494,7 +494,9 @@
 #endif
 
     if (!configured_once) {
+#if USE_UNLINKD
 	unlinkdInit();
+#endif
 	urlInitialize();
 	cachemgrInit();
 	statInit();
@@ -900,7 +902,9 @@
 #endif
     releaseServerSockets();
     commCloseAllSockets();
+#if USE_UNLINKD
     unlinkdClose();
+#endif
     storeDirSync();		/* Flush pending object writes/unlinks */
     storeDirWriteCleanLogs(0);
     PrintRusage();
Index: squid/src/structs.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/structs.h,v
retrieving revision 1.1.1.3.10.8.2.2
retrieving revision 1.1.1.3.10.8.2.3
diff -u -r1.1.1.3.10.8.2.2 -r1.1.1.3.10.8.2.3
--- squid/src/structs.h	23 Apr 2000 08:32:28 -0000	1.1.1.3.10.8.2.2
+++ squid/src/structs.h	23 Apr 2000 09:55:37 -0000	1.1.1.3.10.8.2.3
@@ -1,6 +1,6 @@
 
 /*
- * $Id: structs.h,v 1.1.1.3.10.8.2.2 2000/04/23 08:32:28 hno Exp $
+ * $Id: structs.h,v 1.1.1.3.10.8.2.3 2000/04/23 09:55:37 hno Exp $
  *
  *
  * SQUID Internet Object Cache  http://squid.nlanr.net/Squid/
@@ -311,7 +311,9 @@
 #if USE_ICMP
 	char *pinger;
 #endif
+#if USE_UNLINKD
 	char *unlinkd;
+#endif
     } Program;
 #if USE_DNSSERVERS
     int dnsChildren;
